import './App.css';

import React from 'react';
import OnirixEmbedSDK from "https://sdk.onirix.com/embed/ox-embed-sdk.esm.js";
import ScoreOverlay from './ScoreOverlay';

class App extends React.Component {

    state = {
        score: 0,
        showScore: false,
        sceneCollectedChests: 0
    };

    async componentDidMount() {
        const iframeElement = document.getElementById("visor");
        iframeElement.onload = () => {
            this.embedSDK = new OnirixEmbedSDK(iframeElement);
            this.embedSDK.connect();
            this.embedSDK.subscribe(OnirixEmbedSDK.Events.ELEMENT_CLICK, (params) => {
                if (params.name.includes('Chest')) {
                    this.handleChestClick();
                };
            });
            this.embedSDK.subscribe(OnirixEmbedSDK.Events.READY, (params) => {
                this.setState({ sceneCollectedChests: 0 });
            });
        }
    }

    render() {
        return (
        <div id="app">
            <script src="https://www.onirix.com/webar/ox-devicemotion.min.js"></script>
            <iframe 
                id="visor" 
                src="https://studio.onirix.com/projects/122baaefd3dd4ddabd7b91a61bddc5d2/webar?token=eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJ1c2VySWQiOjI4LCJwcm9qZWN0SWQiOjIyOTQ1LCJyb2xlIjozLCJpYXQiOjE2NDQ1MDA0MDh9.l_q-A6mbr_eEF80tURTfeQwZamNuyOUHtl8ITA7CJsI" allow="geolocation;camera;gyroscope;accelerometer">
            </iframe>
            { this.state.showScore &&  
                <ScoreOverlay
                    score={this.state.score}
                    onClose={this.handleClose.bind(this)}>
                </ScoreOverlay>
            }
        </div>
        );
    }

    handleChestClick() {
        this.setState({ 
            score: this.state.score + 25, 
            sceneCollectedChests: this.state.sceneCollectedChests +1 
        });
        if (this.state.sceneCollectedChests == 3) {
            this.setState({ showScore: true });
        }
    }

    handleClose() {
        this.setState({ showScore: false });
        window.location.reload();
    }

}

export default App;
