import './ScoreOverlay.css';

import React from 'react';

import treasureSuccess from '../assets/treasure-success.svg';
import closeButton from '../assets/close-button.svg';

class ScoreOverlay extends React.Component {

    render() {
        const { onClose, score } = this.props;
        return (
            <div id="score-overlay">
                <img id="close-button" src={closeButton} onClick={onClose}></img>
                <div id="score-dialog">
                    <img id="treasure-img" src={treasureSuccess}></img>
                    <h1>ARRRRR!</h1>
                    <p>Well done! you have colleted all treasure chests from this location.</p>
                    <span id="score-text">You have colleted <strong>{ score }</strong> pts</span>
                    <button id="location-button" onClick={onClose}>FIND ANOTHER LOCATION</button>
                </div>
            </div>
        );
    }

}

export default ScoreOverlay;